## asymptote 1.03

=== tests/Makefile ===
TESTDIRS = string arith frames types imp

test: $(TESTDIRS)

$(TESTDIRS)::
	../asy $@/*.asy

FORCE:
