## asymptote 1.40

=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,18 @@
 MANFILES = asy.1 xasy.1x
 ASYFILES = $(wildcard *.asy) latexusage.asy
 SOURCE = asymptote.texi version.texi options
-ASY = ../asy -dir ../base
+ASY = ../asy -dir ../base -config ""
 DOCFILES = asymptote.pdf CAD.pdf
 
-doc:	asymptote.dvi asymptote.info html man faq
+docdir = $(DESTDIR)/usr/local/share/doc/asymptote
+infodir = $(DESTDIR)${datarootdir}/info
+datarootdir = ${prefix}/share
+INSTALL = /usr/bin/ginstall -c
+TEXI2DVI = texi2dvi
+
+export docdir infodir INSTALL
+
+all:    doc
 
 html:	asymptote/index.html
 
@@ -13,11 +21,13 @@
 faq:	
 	cd FAQ; $(MAKE) faq
 
+doc:	asymptote.dvi asymptote.info html man faq
+
 %.png:	%.asy
 	$(ASY) -f png $<
 
 %.eps:	%.asy
-	$(ASY) $<
+	$(ASY) -f eps $<
 
 %.pdf:	%.asy
 	$(ASY) -f pdf $<
@@ -42,29 +52,24 @@
 	$(ASY) -h 2>&1 | grep -iv Asymptote > options
 
 asy.1: options asy.1.begin asy.1.end
-	cat options | grep ^- | sed -e "s/-\(.*\)  \([A-Z].*\)/.TP\n.B -\1\n\2\./" | sed -e "/^.B/ s/-/\\\\-/g" | cat asy.1.begin - asy.1.end > asy.1
+	cat options | grep \^- | sed -e "s/-\(.*\)  \([A-Z].*\)/.TP\n.B -\1\n\2\./" | sed -e "/^.B/ s/-/\\\\-/g" | cat asy.1.begin - asy.1.end > asy.1
 
 asymptote.dvi: $(SOURCE) $(ASYFILES:.asy=.eps)
 	ln -sf asymptote.texi asymptote_.texi
-	texi2dvi asymptote_.texi
+	$(TEXI2DVI) asymptote_.texi
 	mv asymptote_.dvi asymptote.dvi
 
 asymptote.info: $(SOURCE) $(ASYFILES:.asy=.png)
 	makeinfo asymptote
 
 asymptote.pdf: $(SOURCE) $(ASYFILES:.asy=.pdf)
-	texi2dvi --pdf asymptote.texi
+	$(TEXI2DVI) --pdf asymptote.texi
 
 CAD.pdf: CAD.tex CAD1.eps 
 	latex CAD
 	latex CAD
 	latex CAD
 	dvipdf CAD
-
-PDFAnim_temp_Guide.pdf: PDFAnim_temp_Guide.tex
-	latex PDFAnim_temp_Guide
-	latex PDFAnim_temp_Guide
-	dvipdf PDFAnim_temp_Guide
 
 asymptote/index.html: $(SOURCE) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
 	mkdir -p asymptote
@@ -73,7 +78,6 @@
 
 clean: FORCE
 	rm -f $(ASYFILES:.asy=.pdf) $(DOCFILES)
-	rm -f PDFAnim_temp_Guide.{aux,dvi,log,toc,out}
 	rm -f *.eps *.png latexusage.{asy,dvi,eps,png,log,aux,*.eps}
 	rm -f {asymptote,asymptote_}.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr} 
 	rm -f asymptote_.texi asymptote.info-*
