## asymptote 2.13

=== debian/changelog ===
asymptote (2.13-2) unstable; urgency=low

  * debian/control
    - move the Build-Depends-Indep into the Build-Depends to
      fix the FTBFS (Closes: #634202)
  * debian/patches
    - 0004-feature-fix-FTBFS-on-hurd.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Jul 2011 22:17:05 +0200

asymptote (2.13-1) unstable; urgency=low

  * Imported Upstream version 2.13
    - (Closes: #607341, #627125, #481910, #564862, #553973)
  * switch to source format 3.0 (quilt)
    - refresh the patch series
  * Add myself as uploader.
  * remove the asymptote-doc exemple symlink (Closes: #589124)
  * debian/control
    - Bump Standards-Version to 3.9.2 (no changes)
    - Switch to compat 8
  * Updating debian/copyright (Closes: #586798)
  * Updating debian/rules (remove deprecated options)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Jul 2011 23:42:26 +0200

asymptote (2.02-2) unstable; urgency=low

  * Fix debian/rules to not fail when building arch-only
    packages. (Closes: #589062)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 15 Jul 2010 12:37:46 -0400

asymptote (2.02-1) unstable; urgency=low

  * New Upstream Version
  * Add texlive-latex-recommended and texlive-latex-extra to Build-Depends.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 13 Jul 2010 11:56:32 -0400

asymptote (1.99-1) unstable; urgency=low

  * New upstream version
  * Reworking debian/rules
  * Adding autotools-dev to Build-Depends so config.* can be updated.
  * Adding dpkg (>= 1.15.4) | install-info to Depends, as recommended by 
    Policy 12.2 (It's needed for the transition to triggerized install-info)
  * Patching prc/PRCdouble.h to solve a FTBFS in hppa (Closes: ##561423) 
  * Updating Copyright on debian/*

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 20 Jun 2010 21:30:54 -0500

asymptote (1.90-1) unstable; urgency=low

  * New upstream version
  * Fix @direntry at doc/asymptote.texi (Closes: #559943)

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 08 Dec 2009 11:31:30 -0500

asymptote (1.88-2) unstable; urgency=low

  * Restoring direct patches accidentally reverted
  * Symlinking asymptote.pdf to texmf directory (Closes: #551482)
  * Adding texlive-plain-extra to Recommends (Closes: #538168)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 26 Oct 2009 21:14:36 -0500

asymptote (1.88-1) unstable; urgency=low

  * New upstream version
  * Updating debian/watch (was missing current versions)
  * Updating doc/makefile.in patch (previous one was over-enthusiastic)
  * Improving relationships for asymptote-doc (Conflict is unneeded and
    probably in violation of policy 2.5)
  * Improving debian/rules
    + Fix installing of examples (Closes: #550306, #552103), thanks to
      Julian Gilbey!
    + Remove Makefile and info files installed in html/ (Julian Gilbey)
    + Cleaning unnecesary/commented lines
    + Remove .cvsignore files
  * Moved symlinks to docs from asymptote to asymptote-doc, adding a new 
    symlink to the recently moved examples/ (Closes: #551483)
  * Updating Build-Depends: libreadline5-dev -> libreadline-dev

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 24 Oct 2009 01:11:11 -0500

asymptote (1.86-1) unstable; urgency=low

  * Add myself to uploaders.
  * New upstream version.
  * Bump Standards-Version to 3.8.3 (no changes)
  * Bump versioned Build-Depends on debhelper to >= 5, and set 
    debian/compat to 5 (package-uses-deprecated-debhelper-compat-version 4)
  * Add a clean rule to solve a FTBFS building twice in a row
    (qa-doublebuild).
  * Patch doc/Makefile.in fixing issues in asy.1 generation
    (hyphen-used-as-minus-sign)
  * Patch doc/FAQ/asy-faq.bfnn adding INFO-DIR-SECTION to info document
    (info-document-missing-dir-section)
  * Update symptote-doc descriptions (duplicate-short-description and
    duplicate-long-description)
  * Set doc-base Section to Science/Mathematics (doc-base-unknown-section)
  * Set executable bit on asy-kate.sh in binary-predeb rule
    (script-not-executable)
  * Move examples from asymptote to asymptote-doc in binary-install rule
    (arch-dep-package-has-big-usr-share)

 -- Ruben Molina <rmolina@udea.edu.co>  Thu, 24 Sep 2009 17:26:41 -0500

asymptote (1.80-1) unstable; urgency=low

  * New upstream version.
  * Call dh_installtex instead of calling texhash directly. (closes: #529452)
  * Remove obsolete upgrade code.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 08 Jul 2009 22:57:02 -0400

asymptote (1.70-2) unstable; urgency=low

  * Upload to unstable.
  * Don't use absolute path when calling texhash in maintainer scripts.
  * Fix build-depends on libgc-dev.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 30 Apr 2009 21:38:48 -0400

asymptote (1.70-1) experimental; urgency=low

  * New upstream version.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 21 Apr 2009 01:07:28 -0400

asymptote (1.66-1) experimental; urgency=low

  * New upstream version. (closes: #505549)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 26 Feb 2009 23:27:16 -0500

asymptote (1.51-1) experimental; urgency=low

  * New upstream version. (closes: #505549)
  * Fix up depends/build-depends.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 14 Nov 2008 23:48:41 -0500

asymptote (1.43-1) unstable; urgency=low

  * New upstream version. (closes: #488141)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 26 Jun 2008 15:55:42 -0400

asymptote (1.42-2) unstable; urgency=low

  * Add pointer to animate.sty in README.Debian for animated PDFs.
    (closes: 460282)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 11 Jun 2008 12:22:03 -0400

asymptote (1.42-1) unstable; urgency=low

  * New upstream version
  * debian/control: Add Depends: python-imaging-tk. (closes: #469149)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 01 Apr 2008 11:22:31 -0400

asymptote (1.40-1) unstable; urgency=low

  * New upstream release.
    * More fixes for GCC 4.3. (closes: #455424)
  * debian/control: Build-Depend on libfftw3-dev instead of fftw3-dev.
    (closes: #457945)
  * debian/control: Use Homepage field.

