=== tests/Makefile ===
--- 
+++ 
@@ -1,8 +1,18 @@
+.NOTPARALLEL:
+
 TESTDIRS = string arith frames types imp array
+EXTRADIRS = gsl output
 
 test: $(TESTDIRS)
 
+all: $(TESTDIRS) $(EXTRADIRS)
+
 $(TESTDIRS)::
+	@echo
+	../asy -dir ../base $@/*.asy
+
+$(EXTRADIRS)::
+	@echo
 	../asy -dir ../base $@/*.asy
 
 clean:  FORCE
