=== debian/changelog ===
asymptote (2.15-2build2) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:03:51 +0000

asymptote (2.15-2build1) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:40:31 +0000

asymptote (2.15-2) unstable; urgency=low

  * Clarify license for reference card. (Closes: #684417)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 10 Aug 2012 15:49:01 -0400

asymptote (2.15-1) unstable; urgency=low

  * Imported Upstream version 2.15
  * debian/copyright updated and fixed using config-edit
  * debian/patches
    - 0001-feature-fix-FTBFS-on-mips.patch (deleted - applyed upstream)
    - 0004-feature-fix-FTBFS-on-hurd.patch (deleted - applyed upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Nov 2011 21:39:01 +0100
