=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 clean::
 	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
 	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list
+	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
 
 binary-predeb/asymptote::
 	chmod +x debian/$(cdbs_curpkg)/usr/share/asymptote/asy-kate.sh # script-not-executable
