## asymptote 2.23

=== debian/changelog ===
asymptote (2.23-1) unstable; urgency=low

  [ Picca Frédéric-Emmanuel ]
  * Imported Upstream version 2.21
  * debian/control
    - Bump Standards-Version to 3.9.4 (no changes)
    - Add VCS-x fields since the packaging is hosted under
      collab-maint.
    - Remove useless version dependencies on libgc-dev thanks to cme
    - Replace dpkg (>= 1.15.4) | install-info by install-info
      now that the minimum version of dpkg is available everywhere.
  * debian/patches
    - 0001-use-pdf-instead-of-acroread.path (deleted)
    - 0001-use-xdg-utils-instead-of-acroread.path (new)
      you can use your default pdf-viewer instead of xpdf to open
      the generated pdf.
    - 0003-clarify-ref-card-license.patch (deleted - applyed upstream)
  * Add the doc sources into the asymptote-doc package (Closes: #607708)

  [ Norbert Preining ]
  * Imported upstream version 2.23
    - remove files that are regenerated during build and removed
  * debian/control
    - Bump Standards-Version to 3.9.5 (no changes)
    - switch dependencies to python-pil et al.
  * debian/rules
    - add get-orig-source target that removes generated files
  * fix location of image files in asymptote.info
  * link documentation into /usr/share/texmf/doc (since tex-common 4)
  * switch maintainership to Debian TeX maintainers team, move Hubert
    from Maintainer to Uploaders
    (with permission by the current maintainer and the uploaders)
  * dpkg-reconfigure now works (Closes: #617619)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Nov 2013 14:31:32 +0900
