=== debian/control ===
Source: asymptote
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Norbert Preining <preining@debian.org>
Section: tex
Priority: optional
Build-Depends: autotools-dev,
               bison,
               cdbs,
               debhelper (>= 8),
               flex,
               freeglut3-dev,
               ghostscript,
               imagemagick,
               libfftw3-dev,
               libgc-dev,
               libgsl0-dev,
               libncurses5-dev,
               libreadline-dev,
               libsigsegv-dev,
               tex-common,
               texinfo,
               texlive-base-bin,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-pstricks,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://asymptote.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git

Package: asymptote
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ghostscript,
         imagemagick,
         install-info,
         python,
         python-pil, 
         python-pil.imagetk,
         texlive-binaries,
         texlive-latex-base,
         texlive-pstricks,
         xdg-utils
Recommends: asymptote-doc
Suggests: gv,
          evince-gtk | pdf-viewer
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: asymptote,
            info-browser | pdf-viewer | www-browser
Replaces: asymptote (<< ${source:Version})
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing. 
 This package provides documentation and examples.
