## asymptote 2.31

=== prc/Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
 
 FILES = PRCbitStream oPRCFile PRCdouble writePRC
 
-test: $(FILES:=.o) test.cc
-	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.cc -lz
+test: $(FILES:=.o) test.o
+	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.o -lz
 
-test_tess: $(FILES:=.o) test_tess.cc
-	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.cc -lz
+test_tess: $(FILES:=.o) test_tess.o
+	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.o -lz
 
-test_mesh: $(FILES:=.o) test_mesh.cc
-	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.cc -lz
+test_mesh: $(FILES:=.o) test_mesh.o
+	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.o -lz
 
 .SUFFIXES: .c .cc .o .d
 .cc.o:
