=== debian/changelog ===
asymptote (2.31-2) unstable; urgency=medium

  * fix missing backslash quote in asy-mode.el (Closes: #756188)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 08:54:26 +0900

asymptote (2.31-1) unstable; urgency=medium

  * Imported Upstream version 2.31

 -- Norbert Preining <preining@debian.org>  Mon, 19 May 2014 08:54:04 +0900

asymptote (2.30-1) unstable; urgency=medium

  * Imported Upstream version 2.30

 -- Norbert Preining <preining@debian.org>  Sat, 17 May 2014 13:01:11 +0900

asymptote (2.29-1) unstable; urgency=medium

  * Imported Upstream version 2.29
  * add libosmesa6-dev for off-screen rendering to build-deps

 -- Norbert Preining <preining@debian.org>  Fri, 16 May 2014 23:20:31 +0900

asymptote (2.28-1) unstable; urgency=medium

  * Imported Upstream version 2.28
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 14 May 2014 18:19:39 +0900

asymptote (2.23-2) unstable; urgency=medium

  * add texlive-fonts-recommended (new location of ec) (Closes: #737256)

 -- Norbert Preining <preining@debian.org>  Mon, 03 Feb 2014 11:12:43 +0900
