=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                debhelper (>= 8),
                flex,
                freeglut3-dev,
+               libosmesa6-dev,
                ghostscript,
                imagemagick,
                libfftw3-dev,
@@ -26,9 +27,10 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
+               texlive-fonts-recommended,
                texlive-pstricks,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git
