## asymptote 2.35

=== debian/changelog ===
asymptote (2.35-2) unstable; urgency=medium

  * switch back to new gs support now that gs is updated (Closes: #797098)

 -- Norbert Preining <preining@debian.org>  Fri, 28 Aug 2015 09:25:00 +0900

asymptote (2.35-1) unstable; urgency=medium

  * Imported Upstream version 2.35
  * unfuzzify patches
  * switch packaging to dh instead of cdbs
  * fix gs device problems due to gs being too old (in Debian)

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 15:22:52 +0900
