=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 Priority: optional
 Build-Depends: autotools-dev,
                bison,
-               cdbs,
-               debhelper (>= 8),
+               debhelper (>= 9),
                flex,
                freeglut3-dev,
                libosmesa6-dev,
@@ -23,7 +22,6 @@
                libsigsegv-dev,
                tex-common,
                texinfo,
-               texlive-base-bin,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
