## asymptote 2.37

=== debian/changelog ===
asymptote (2.37-1) unstable; urgency=medium

  * Imported Upstream version 2.37
  * Building on mips hopefully finally fixed - GCC bug (Closes: #808821)
    Big thanks to Julian Gilbey for tracking this down together with
    upstream!!!
  * update patches for new release
  * add dh-autoreconf to build-deps, and run autoreconf as configure
    is not shipped in the source tarball

 -- Norbert Preining <preining@debian.org>  Thu, 04 Feb 2016 15:38:06 +0900

asymptote (2.35-4) unstable; urgency=medium

  * fix ftbfs on mips with upstream git change (Closes: #808821)

 -- Norbert Preining <preining@debian.org>  Wed, 27 Jan 2016 19:37:13 +0900

asymptote (2.35-3) unstable; urgency=medium

  * switch to libgsl-dev for build-deps
  * add upstream patch to support gsl2 (Closes: #805749)

 -- Norbert Preining <preining@debian.org>  Tue, 24 Nov 2015 15:14:40 +0900
