=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
+               dh-autoreconf,
                flex,
                freeglut3-dev,
                libosmesa6-dev,
@@ -16,7 +17,7 @@
                imagemagick,
                libfftw3-dev,
                libgc-dev,
-               libgsl0-dev,
+               libgsl-dev,
                libncurses5-dev,
                libreadline-dev,
                libsigsegv-dev,
