## asymptote 2.38

=== debian/changelog ===
asymptote (2.38-2) unstable; urgency=medium

  * include upstream fix to work with TL2016 (Closes: #836252)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Sep 2016 17:33:03 +0900

asymptote (2.38-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * Honour SOURCE_DATE_EPOCH, to make the build reproducible. (Closes: #823824)

  [ Norbert Preining ]
  * Imported Upstream version 2.38
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 14 May 2016 08:57:02 +0900

asymptote (2.37.real-1) unstable; urgency=medium

  * Imported Upstream version 2.37.real - the previous 2.37 was only
    a temporary git tag, this is now the released version
  * update patches to real 2.37 release
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 15 Mar 2016 11:44:27 +0900
